Package com.pixelmed.utils

# Class PhoneticStringEncoder

java.lang.Object
com.pixelmed.utils.PhoneticStringEncoder

public class PhoneticStringEncoder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Object`
`encoder`
`protected Class`
`encoderClass`

## Constructor Summary

Constructors
Constructor
Description
`PhoneticStringEncoder()`

## Method Summary

Modifier and Type
Method
Description
`String`
`encode(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### encoderClass

protected Class encoderClass

### encoder

protected Object encoder

## Constructor Details

### PhoneticStringEncoder

public PhoneticStringEncoder() throws PhoneticStringEncoderException

Throws:
  `PhoneticStringEncoderException`

## Method Details

### encode

public String encode(String s) throws PhoneticStringEncoderException

Throws:
  `PhoneticStringEncoderException`